Loading...
Searching...
No Matches
XrdCl::RecorderFactory Class Reference

XrdCl recorder plug-in factory. More...

`#include <XrdClRecorderPlugin.hh>`

Inheritance diagram for XrdCl::RecorderFactory:
Collaboration diagram for XrdCl::RecorderFactory:

## Public Member Functions

| RecorderFactory (const std::map< std::string, std::string > *config)
virtual | ~RecorderFactory ()
| Destructor.
virtual FilePlugIn * | CreateFile (const std::string &url)
| Create a file plug-in for the given URL.
virtual FileSystemPlugIn * | CreateFileSystem (const std::string &url)
| Create a file system plug-in for the given URL.
Public Member Functions inherited from XrdCl::PlugInFactory
virtual | ~PlugInFactory ()
| Destructor.

## Detailed Description

XrdCl recorder plug-in factory.

Definition at line 34 of file XrdClRecorderPlugin.hh.

## Constructor & Destructor Documentation

## RecorderFactory()

XrdCl::RecorderFactory::RecorderFactory | ( | const std::map< std::string, std::string > * | config | ) |

inline

Constructor

Parameters

  config | map containing configuration parameters

Definition at line 42 of file XrdClRecorderPlugin.hh.

{
if( config )
{
auto itr = config->find( "output" );
Recorder::SetOutput( itr != config->end() ? itr->second : "" );
}
}
XrdCl::Recorder::SetOutput
static void SetOutput(const std::string &cfgpath)
Definition XrdClRecorder.hh:228

References XrdCl::Recorder::SetOutput().

Here is the call graph for this function:

## ~RecorderFactory()

virtual XrdCl::RecorderFactory::~RecorderFactory | ( |  | ) |

inline virtual

Destructor.

Definition at line 54 of file XrdClRecorderPlugin.hh.

{
}

## Member Function Documentation

## CreateFile()

virtual FilePlugIn * XrdCl::RecorderFactory::CreateFile | ( | const std::string & | url | ) |

inline virtual

Create a file plug-in for the given URL.

Implements XrdCl::PlugInFactory.

Definition at line 61 of file XrdClRecorderPlugin.hh.

{
std::unique_ptr<Recorder> ptr( new Recorder() );
if( !ptr->IsValid() )
return nullptr;
return static_cast<FilePlugIn*>( ptr.release() );
}

## CreateFileSystem()

virtual FileSystemPlugIn * XrdCl::RecorderFactory::CreateFileSystem | ( | const std::string & | url | ) |

inline virtual

Create a file system plug-in for the given URL.

Implements XrdCl::PlugInFactory.

Definition at line 72 of file XrdClRecorderPlugin.hh.

{
Log* log = DefaultEnv::GetLog();
log->Error(1, "FileSystem plugin implementation not supported");
return static_cast<FileSystemPlugIn*>(0);
}
XrdCl::DefaultEnv::GetLog
static Log * GetLog()
Get default log.
Definition XrdClDefaultEnv.cc:493
XrdGlobal::Log
XrdSysError Log
Definition XrdConfig.cc:113

References XrdCl::Log::Error(), and XrdCl::DefaultEnv::GetLog().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- XrdClRecorderPlugin.hh